Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Interface ChannelStateEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DownstreamChannelStateEvent, UpstreamChannelStateEvent

    public interface ChannelStateEvent

extends ChannelEvent

A `ChannelEvent` which represents the change of the `Channel` state. It can mean the notification of a change or the request for a change, depending on whether it is an upstream event or a downstream event respectively. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`ChannelState` | `getState()` Returns the changed property of the `Channel`.
`Object` | `getValue()` Returns the value of the changed property of the `Channel`.

Methods inherited from interface org.jboss.netty.channel.ChannelEvent
`getChannel, getFuture`

Method Detail

### getState

    ChannelState getState()

  Returns the changed property of the `Channel`.

### getValue

    Object getValue()

  Returns the value of the changed property of the `Channel`. Please refer to `ChannelState` documentation to find out the allowed values for each property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.